package ch.pizzalemon.android.model;

import com.google.gson.annotations.Expose;
import com.google.gson.annotations.SerializedName;

import java.io.Serializable;

public class WelcomeMessageModel implements Serializable {

    @Expose
    @SerializedName("show_dialog") private boolean showDialog;

    @Expose
    @SerializedName("is_closable_dialog") private boolean isClosable;

    @Expose
    @SerializedName("message") private String message;

    public boolean isShowDialog() {
        return showDialog;
    }

    public boolean isClosable() {
        return isClosable;
    }

    public String getMessage() {
        if(message == null){
            message = "";
        }
        return message;
    }

}
